MEMEXIST(1)

NAME
memexist - libmemcached Documentation

SYNOPSIS

memexist [options] <key>

Check for the existence of a key.

DESCRIPTION

memexist checks for the existence of a key within a cluster.

OPTIONS

-h|--help
    Display help.

-V|--version
    Display version.

-q|--quiet
    Operate quietly.

-v|--verbose
    Operate more verbosely.

-d|--debug
    See -v|--verbose.

-s|--servers <list of servers>
    Specify the list of servers as hostname[:port][,hostname[:port]...].

-n|--non-blocking
    Enable non-blocking operations.

-N|--tcp-nodelay
    Disable Nagle's algorithm.

-b|--binary
    Enable binary protocol.

-B|--buffer
    Buffer requests.

-u|--username <username>
    Use username for SASL authentication.

-p|--password <password>
    Use password for SASL authentication.

-H|--hash <algorithm>
    Use algorithm as key hash algo. See memcached_behavior_t::MEMCACHED_BEHAVIOR_HASH <#_CPPv4N20memcached_behavior_t23MEMCACHED_BEHAVIOR_HASHE>.

ENVIRONMENT

MEMCACHED_SERVERS
    Specify a list of servers.

NOTES

  PROGRAM PREFIX

The prefix of this program is variable, i.e. it can be configured at build time.

Usually the client programs of libmemcached-awesome are prefixed with mem, like memcat or memcp.

It can be configured, though, to replace the prefix with something else like mc, in case of that, the client programs of libmemcached-awesome would be called mccat, mccp, etc. respectively.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached>